package net.wanji.opt.servicev2.judgeanalysis.impl;


import net.wanji.common.framework.dubbointerface.impl.BaseDubboInterfaceImpl;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.mapper.BaseInterfaceMapper;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.entity.judgeanalysis.BaseAreaInfo;
import net.wanji.opt.servicev2.judgeanalysis.BaseAreaInfoService;
import net.wanji.opt.dao.mapper.judgeanalysis.BaseAreaInfoMapper;

import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import javax.annotation.Resource;


/**
 * <p>
 * 区域基础信息
 * </p>
 *
 * @Author wangtao
 * @Date 2025-03-18
 */
@Slf4j
@Component
@Service
public class BaseAreaInfoServiceImpl extends BaseDubboInterfaceImpl<BaseAreaInfo> implements BaseAreaInfoService {

    @Resource
    private BaseAreaInfoMapper baseAreaInfoMapper;


    @Override
    public BaseInterfaceMapper<BaseAreaInfo> getBaseInterfaceMapper() {
        return this.baseAreaInfoMapper;
    }

}
