package net.wanji.opt.servicev2.report.impl;


import net.wanji.common.framework.dubbointerface.impl.BaseDubboInterfaceImpl;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.mapper.BaseInterfaceMapper;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.entity.report.AnalysisGreenWavePeakDetail;
import net.wanji.opt.servicev2.report.AnalysisGreenWavePeakDetailService;
import net.wanji.opt.dao.mapper.report.AnalysisGreenWavePeakDetailMapper;

import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import javax.annotation.Resource;


/**
 * <p>
 * 
 * </p>
 *
 * @Author fengyi
 * @Date 2025-04-07
 */
@Slf4j
@Component
@Service
public class AnalysisGreenWavePeakDetailServiceImpl extends BaseDubboInterfaceImpl<AnalysisGreenWavePeakDetail> implements AnalysisGreenWavePeakDetailService {

    @Resource
    private AnalysisGreenWavePeakDetailMapper analysisGreenWavePeakDetailMapper;


    @Override
    public BaseInterfaceMapper<AnalysisGreenWavePeakDetail> getBaseInterfaceMapper() {
        return this.analysisGreenWavePeakDetailMapper;
    }

}
